Peplink Portal Docs
Starlink Accounts

Search Starlink Accounts

Search Starlink accounts under your partner account by different criteria.

Required Capabilities

Starlink Viewer

Request

GET/starlink/accounts/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

statusesenum arrayoptional

Filter results by status.

  • INITIALIZING — The account is initializing and system is syncing with Starlink.
  • PENDING_LOA — Awaiting Authorized Representative to sign the LOA in the Starlink Dashboard.
  • PENDING_STARLINK_REVIEW — Awaiting Starlink to review the account.
  • ACTIVE — Account is active and fully operational.
  • TERMINATED — Account is terminated and service has been permanently stopped.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Reference ID of the Starlink account.

items.businessNamestring

Business name of the Starlink account.

items.countryCodestring

Country code of the Starlink account.

items.initialContactobject

Initial contact of the starlink account. It is the authorized representative when you create this starlink account.

Show child attributes
items.initialContact.firstNamestring

First name of the initial contact.

items.initialContact.lastNamestring

Last name of the initial contact.

items.initialContact.emailstring

Email of the initial contact.

items.initialContact.phonestring

Phone number of the initial contact.

items.statusenum

Status of the Starlink account.

  • INITIALIZING — The account is initializing and system is syncing with Starlink.
  • PENDING_LOA — Awaiting Authorized Representative to sign the LOA in the Starlink Dashboard.
  • PENDING_STARLINK_REVIEW — Awaiting Starlink to review the account.
  • ACTIVE — Account is active and fully operational.
  • TERMINATED — Account is terminated and service has been permanently stopped.
items.starlinkAccountNumbernullable string

Starlink account number of the Starlink account. null if not applicable.

items.starlinkSyncobject

Starlink sync information of the account.

Show child attributes
items.starlinkSync.syncStatusnullable enum

The sync status of the account. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
items.starlinkSync.runCountnumber

The number of times the account sync has been run.

items.starlinkSync.runCountLimitnumber

The maximum number of times the account sync can be run.

items.starlinkSync.lastSyncedAtnullable datetime string

The last time the account was synced. null if not applicable.

items.createdAtdatetime string

Date and time the account was created.

items.createdBystring

Username of the user who created the account.

items.createdByEmailnullable string

Email of the user who created the account. null if not applicable.

items.updatedAtdatetime string

Date and time the account was last updated.

items.updatedBystring

Username of the user who last updated the account.

items.updatedByEmailnullable string

Email of the user who last updated the account. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/accounts/search?pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "108",
      "businessName": "ABCDE Inc.",
      "countryCode": "US",
      "initialContact": {
        "firstName": "Alice",
        "lastName": "C",
        "email": "[email protected]",
        "phone": "+12319291386"
      },
      "status": "PENDING_LOA",
      "starlinkAccountNumber": "ACC-DF-XXXXXXXX-XXXXX-XX",
      "starlinkSync": {
        "syncStatus": "SYNCED",
        "runCount": 0,
        "runCountLimit": 10,
        "lastSyncedAt": "2026-03-01T07:13:50.828Z"
      },
      "createdAt": "2026-02-26T12:51:19.443Z",
      "createdBy": "Jane Doe",
      "createdByEmail": null,
      "updatedAt": "2026-03-25T02:00:04.314Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page